OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_DegenerateToroidalSurface Class Reference

`#include <StepGeom_DegenerateToroidalSurface.hxx>`

Inheritance diagram for StepGeom_DegenerateToroidalSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_DegenerateToroidalSurface ()
| Returns a DegenerateToroidalSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition, const Standard_Real aMajorRadius, const Standard_Real aMinorRadius)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition, const Standard_Real aMajorRadius, const Standard_Real aMinorRadius, const Standard_Boolean aSelectOuter)
Standard_EXPORT void | SetSelectOuter (const Standard_Boolean aSelectOuter)
Standard_EXPORT Standard_Boolean | SelectOuter () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Boolean | selectOuter

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_DegenerateToroidalSurface::StepGeom_DegenerateToroidalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_DegenerateToroidalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_ToroidalSurface.

virtual Standard_EXPORT void StepGeom_DegenerateToroidalSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition,
|  | const Standard_Real | aMajorRadius,
|  | const Standard_Real | aMinorRadius,
|  | const Standard_Boolean | aSelectOuter
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_DegenerateToroidalSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition,
|  | const Standard_Real | aMajorRadius,
|  | const Standard_Real | aMinorRadius
| ) | `[virtual]`

| Reimplemented from StepGeom_ToroidalSurface.

Standard_EXPORT Standard_Boolean StepGeom_DegenerateToroidalSurface::SelectOuter | ( |  | ) | const

Standard_EXPORT void StepGeom_DegenerateToroidalSurface::SetSelectOuter | ( | const Standard_Boolean | aSelectOuter | ) |

## Field Documentation

Standard_Boolean StepGeom_DegenerateToroidalSurface::selectOuter`[private]`

The documentation for this class was generated from the following file:

- StepGeom_DegenerateToroidalSurface.hxx